Ptex: PtexIO.h File Reference

Ptex

Classes | Enumerations | Functions | Variables
PtexIO.h File Reference
`#include "Ptexture.h"`

Go to the source code of this file.

## Classes
struct | Header
struct | ExtHeader
struct | LevelInfo
struct | FaceDataHeader

## Enumerations
enum | Encoding { enc_constant , enc_zipped , enc_diffzipped , enc_tiled }

## Functions
bool | LittleEndian ()

## Variables
const uint32_t | Magic = 'P' | ('t'<<8) | ('e'<<16) | ('x'<<24)
const int | HeaderSize = sizeof(Header)
const int | ExtHeaderSize = sizeof(ExtHeader)
const int | LevelInfoSize = sizeof(LevelInfo)
const int | FaceDataHeaderSize = sizeof(FaceDataHeader)
const int | IBuffSize = 65536
const int | BlockSize = 65536
const int | TileSize = 65536
const int | AllocaMax = 65536
const int | MetaDataThreshold = 1024

## Enumeration Type Documentation

## ◆ Encoding

enum Encoding

Enumerator
enc_constant |
enc_zipped |
enc_diffzipped |
enc_tiled |

Definition at line 81 of file PtexIO.h.

## Function Documentation

## ◆ LittleEndian()

bool LittleEndian | ( |  | ) |
| inline

Definition at line 112 of file PtexIO.h.

References LittleEndian().

Referenced by PTEX_NAMESPACE_BEGIN::checkFormat(), LittleEndian(), and PtexReader::open().

## Variable Documentation

## ◆ AllocaMax

const int AllocaMax = 65536

Definition at line 109 of file PtexIO.h.

Referenced by PtexReader::readFaceData(), PtexReader::readLargeMetaDataHeaders(), and PtexReader::readMetaDataBlock().

## ◆ BlockSize

const int BlockSize = 65536

Definition at line 107 of file PtexIO.h.

## ◆ ExtHeaderSize

const int ExtHeaderSize = sizeof(ExtHeader)

Definition at line 101 of file PtexIO.h.

Referenced by PtexMainWriter::finish(), PtexReader::open(), and PtexReader::reopenFP().

## ◆ FaceDataHeaderSize

const int FaceDataHeaderSize = sizeof(FaceDataHeader)

Definition at line 103 of file PtexIO.h.

Referenced by PtexReader::getCompressedData(), PtexReader::readFaceData(), and PtexReader::readLevel().

## ◆ HeaderSize

const int HeaderSize = sizeof(Header)

Definition at line 100 of file PtexIO.h.

Referenced by PtexMainWriter::finish(), PtexReader::open(), and PtexReader::reopenFP().

## ◆ IBuffSize

const int IBuffSize = 65536

Definition at line 106 of file PtexIO.h.

Referenced by PtexReader::DefaultInputHandler::open().

## ◆ LevelInfoSize

const int LevelInfoSize = sizeof(LevelInfo)

Definition at line 102 of file PtexIO.h.

Referenced by PtexMainWriter::finish(), PtexReader::open(), and PtexReader::readLevelInfo().

## ◆ Magic

const uint32_t Magic = 'P' | ('t'<<8) | ('e'<<16) | ('x'<<24)

Definition at line 99 of file PtexIO.h.

Referenced by PtexReader::open(), and PtexMainWriter::PtexMainWriter().

## ◆ MetaDataThreshold

const int MetaDataThreshold = 1024

Definition at line 110 of file PtexIO.h.

Referenced by PtexMainWriter::finish().

## ◆ TileSize

const int TileSize = 65536

Definition at line 108 of file PtexIO.h.

Referenced by PtexMainWriter::calcTileRes().